<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <style>
        .red {
            color: red;
        }
        .font-size {
            font-size: 40px;
        }
    </style>
</head>
<body>
    <div id="app">
        <div class="red font-size">Hello</div>

        <!-- font-size는 JS에서 프로퍼티 이름으로 그냥은 사용할 수 없기 때문에 문자열로 묶어서 써야한다.
        카멜 케이스로는 안 먹히는 듯? -->
        <div :class="{red:isRed, 'font-size':isSize}">Hello</div>
        <div :class="{red:isRed, 'fontSize':isSize}">Hello</div>
        <hr>

        <!-- 객체 형식으로도 class를 컨트롤할 수 있다. -->
        <div :class="styleClass">Hello</div>
        <hr>

        <!-- 배열 형식으로도 class를 컨트롤할 수 있다. -->
        <div :class="[redClass, sizeClass]">Hello</div>

        <!-- 이 외에도 삼항 연산자를 쓰거나
        v-bind:class="[isActive ? activeClass : '', errorClass]"
        클래스와 배열을 조합해서 사용할 수 있다.
        v-bind:class="[{ active: isActive }, errorClass]" -->

        <button @click="update">Update</button>
    </div>

    <script>
        new Vue({
            el: "#app",
            data: {
                isRed: false,
                isSize: false,
                styleClass: {
                    red: true,
                    "font-size": true,
                },
                redClass: "red",
                sizeClass: "font-size",
            },
            methods: {
                update() {
                    this.isRed = !this.isRed;
                    this.isSize = !this.isSize;
                },
            },
        });
    </script>
</body>
</html>